-- L is a convenience table so we don't have to write ZO_CreateStringId a bunch of times
local L = {}

-- Miscellanoues UI
L.SI_DQT_TOGGLE_DISPLAY				= "Alternar visualización"
L.SI_DQT_TIME_UNTIL_RESET			= "Tiempo hasta el reinicio"
L.SI_DQT_CHARACTERS_HEADER			= "Personajes a mostrar"
L.SI_DQT_SECTION_HEADER				= "Secciones a mostrar"

-- Bindings
L.SI_BINDING_NAME_DTQ_TOGGLE_DISPLAY = "Alternar visualización"

-- Section Names
-- L.SI_DQT_CYRODILIC_COLLECTIONS		= "Cyrodilic Collections"
L.SI_DQT_OTHER_TIMERS				= "Otros Temporizadores"
-- L.SI_DQT_ELSWEYR_PROLOGUE			= "Elsweyr Prologue"
-- L.SI_DQT_LOWER_CRAGLORN				= "Lower Craglorn" -- Added by DarkPhalanx
-- L.SI_DQT_UPPER_CRAGLORN				= "Upper Craglorn" -- Added by DarkPhalanx
-- L.SI_DQT_CYRODIIL_PVE 				= zo_strformat("<<1>>", GetZoneNameById(181)).." Settlements" -- Added by g4m3r7ag
-- L.SI_DQT_CYRODIIL_PVP				= zo_strformat("<<1>>", GetZoneNameById(181)).." "..GetString(SI_GUILDFOCUSATTRIBUTEVALUE5) -- Added by g4m3r7ag

-- Quest Type Names
L.SI_DQT_GEYSERS					= "Géisers"
-- L.SI_DQT_ASHLANDER_HUNT				= "Ashlander Hunt"
-- L.SI_DQT_ASHLANDER_RELIC			= "Ashlander Relic"
-- L.SI_DQT_UNDAUNTED_DELVE			= GetString(SI_VISUALARMORTYPE4).." "..GetString(SI_ZONECOMPLETIONTYPE5) -- Updated from GetString(SI_INSTANCEDISPLAYTYPE7) - 101040, notnear
-- L.SI_DQT_TARNISHED					= "Tarnished"
-- L.SI_DQT_BLACKFEATHER_COURT			= "Blackfeather Court"
-- L.SI_DQT_RYES_REACQUISITIONS		= "Rye's Reacquisitions"
L.SI_DQT_HEIST						= "Atraco"
L.SI_DQT_SACRAMENT					= "Sacramento"
-- L.SI_DQT_ROOT_WHISPER				= "Root-Whisper"
-- L.SI_DQT_NEW_MOON					= "New Moon" -- Added by DarkPhalanx
-- L.SI_DQT_DRAGONHUNT					= "Dragon Hunts" -- Added by DarkPhalanx
L.SI_DQT_HARROWSTORM				= "Tormentas" -- Added by DarkPhalanx
-- L.SI_DQT_RESISTANCE					= "Wayward Guardian" -- Updated by g4m3r7ag to match https://en.uesp.net/wiki/Online:Repeatable_Quests
L.SI_DQT_VOLCANIC_VENTS				= "Respiradero volcánico" -- Added by g4m3r7ag
L.SI_DQT_CHORROL					= "Chorrol y Weynon Priory" -- Added by g4m3r7ag
L.SI_DQT_CROPSFORD 					= "Vado de la Brizna" -- Added by g4m3r7ag
L.SI_DQT_CYRODIIL_FIGHTERS_GUILD 	= zo_strformat("<<C:1>>", GetSkillLineName(5,2)).." ".."cazarrecompensas" -- Added by g4m3r7ag
L.SI_DQT_CYRODIIL_BATTLE_MISSIONS 	= "Batalla" -- Added by g4m3r7ag
L.SI_DQT_CYRODIIL_BOUNTY_MISSIONS 	= "Cazarrecompensas" -- Added by g4m3r7ag
L.SI_DQT_CYRODIIL_SCOUTING_MISSIONS = "Exploración" -- Added by g4m3r7ag
L.SI_DQT_CYRODIIL_WARFRONT_MISSION 	= "Frente de batalla" -- Added by g4m3r7ag
L.SI_DQT_CYRODIIL_ELDER_SCROLL		= "Pergamino antiguo" -- Added by g4m3r7ag
L.SI_DQT_CYRODIIL_CONQUEST_MISSION  = "Conquista" -- Added by g4m3r7ag

--[[ Set these to the strings at the start of each quest, including
the leading space. The code will generate the display name by stripping
any of these values from the beginning of each quest name.
--]]

-- Undaunted Pledges
L.SI_DQT_PLEDGE_PREFIX = "Compromiso: "

-- Vvardenfell Relics Quests
L.SI_DQT_VVARDENFELL_QUESTS_RELICS_PREFIX_1	= "Reliquias de "

-- Fighters Guild Quests
L.SI_DQT_GUILD_DAILY_QUESTS_FIGHTERS_GUILD_DAILY_QUESTS_PREFIX_1 = "Áncoras oscuras en el "
L.SI_DQT_GUILD_DAILY_QUESTS_FIGHTERS_GUILD_DAILY_QUESTS_PREFIX_2 = "Áncoras oscuras en la "
L.SI_DQT_GUILD_DAILY_QUESTS_FIGHTERS_GUILD_DAILY_QUESTS_PREFIX_3 = "Áncoras oscuras en "

-- Mages Guild Quests
L.SI_DQT_GUILD_DAILY_QUESTS_MAGES_GUILD_DAILY_QUESTS_PREFIX_1 = "Locura en el "
L.SI_DQT_GUILD_DAILY_QUESTS_MAGES_GUILD_DAILY_QUESTS_PREFIX_2 = "Locura en la "
L.SI_DQT_GUILD_DAILY_QUESTS_MAGES_GUILD_DAILY_QUESTS_PREFIX_3 = "Locura en "

-- Thieves Guild Heist Quests
L.SI_DQT_THIEVES_GUILD_LARCENY_QUESTS_HEISTS_PREFIX_1 = "Atraco: "

-- Dark Brotherhood Sacrament Quests
L.SI_DQT_GOLD_COAST_QUESTS_DARK_BROTHERHOOD_SACRAMENTS_PREFIX = "Sacramento: "

-- Elsweyr Prologue Quests
L.SI_DQT_NORTHERN_ELSWEYR_DEFENSE_FORCE_QUESTS_PREFIX_1 = "Sabiduría sobre dragones: "

-- Fighters Guild Bounty Quests
L.SI_DQT_CYRODIIL_FIGHTERS_GUILD_BOUNTY_QUESTS_PREFIX = "Recompensa: "

-- Necrom Bastion Nymic Quests
L.SI_DQT_NECROM_QUESTS_BASTION_NYMIC_PREFIX = "Bastión Nímico: "

--[[ Alternate display names
--]]
-- Summerset Bounty Quests (World Boss)	
--[[L.SI_DQT_SUMMERSET_QUESTS_BOUNTY_01_DISPLAY		= "B'Korgen"
L.SI_DQT_SUMMERSET_QUESTS_BOUNTY_02_DISPLAY		= "Gryphons"
L.SI_DQT_SUMMERSET_QUESTS_BOUNTY_03_DISPLAY		= "Graveld"
L.SI_DQT_SUMMERSET_QUESTS_BOUNTY_04_DISPLAY		= "Keelsplitter"
L.SI_DQT_SUMMERSET_QUESTS_BOUNTY_05_DISPLAY		= "Queen of the Reef"
L.SI_DQT_SUMMERSET_QUESTS_BOUNTY_06_DISPLAY		= "Caanerin"--]]

-- Vvardenfell Bounty Quests (World Boss)	
--[[L.SI_DQT_VVARDENFELL_QUESTS_BOUNTY_01_DISPLAY	= "Dubdil Alar"
L.SI_DQT_VVARDENFELL_QUESTS_BOUNTY_02_DISPLAY	= "Wuyuvus"
L.SI_DQT_VVARDENFELL_QUESTS_BOUNTY_03_DISPLAY	= "Queen's Consort"
L.SI_DQT_VVARDENFELL_QUESTS_BOUNTY_04_DISPLAY	= "Nilthog the Unbroken"
L.SI_DQT_VVARDENFELL_QUESTS_BOUNTY_05_DISPLAY	= "Orator Salothan"
L.SI_DQT_VVARDENFELL_QUESTS_BOUNTY_06_DISPLAY	= "Kimbrudhil the Songbird"--]]

-- Wrothgar Group Boss Quests	
--[[L.SI_DQT_WROTHGAR_QUESTS_GROUP_BOSS_DAILIES_01_DISPLAY	= "Zandadunoz the Reborn"
L.SI_DQT_WROTHGAR_QUESTS_GROUP_BOSS_DAILIES_02_DISPLAY	= "Snagara"
L.SI_DQT_WROTHGAR_QUESTS_GROUP_BOSS_DAILIES_03_DISPLAY	= "Corintthac the Abomination"
L.SI_DQT_WROTHGAR_QUESTS_GROUP_BOSS_DAILIES_04_DISPLAY	= "King-Chief Edu"
L.SI_DQT_WROTHGAR_QUESTS_GROUP_BOSS_DAILIES_05_DISPLAY	= "Mad Urkazbur"
L.SI_DQT_WROTHGAR_QUESTS_GROUP_BOSS_DAILIES_06_DISPLAY	= "Nyzchaleft"--]]

-- Dark Brotherhood Bounty Quests
--[[L.SI_DQT_GOLD_COAST_QUESTS_BOUNTIES_01_DISPLAY	= "Exulus the Wispmother"
L.SI_DQT_GOLD_COAST_QUESTS_BOUNTIES_02_DISPLAY	= "Ironfang"
L.SI_DQT_GOLD_COAST_QUESTS_BOUNTIES_03_DISPLAY	= "Limenauruus"
L.SI_DQT_GOLD_COAST_QUESTS_BOUNTIES_04_DISPLAY	= "The Roar of the Crowds"--]]

-- Clockwork City Bounty Quests
--[[L.SI_DQT_CLOCKWORK_CITY_QUESTS_BOUNTY_01_DISPLAY = "Wraith-of-Crows"
L.SI_DQT_CLOCKWORK_CITY_QUESTS_BOUNTY_02_DISPLAY = "Imperfect"--]]

-- Northern Elsweyr Defense Force (quest names are a bit too long for the gui)
--[[L.SI_DQT_NORTHERN_ELSWEYR_DEFENSE_FORCE_01_DISPLAY = "Dark Souls"
L.SI_DQT_NORTHERN_ELSWEYR_DEFENSE_FORCE_02_DISPLAY = "Icehammer's Vault"
L.SI_DQT_NORTHERN_ELSWEYR_DEFENSE_FORCE_03_DISPLAY = "Shroud Hearth"
L.SI_DQT_NORTHERN_ELSWEYR_DEFENSE_FORCE_04_DISPLAY = "Stormcrag Crypt"
L.SI_DQT_NORTHERN_ELSWEYR_DEFENSE_FORCE_05_DISPLAY = "Goblin"
L.SI_DQT_NORTHERN_ELSWEYR_DEFENSE_FORCE_06_DISPLAY = "Lamia"
L.SI_DQT_NORTHERN_ELSWEYR_DEFENSE_FORCE_07_DISPLAY = "Lurcher"
L.SI_DQT_NORTHERN_ELSWEYR_DEFENSE_FORCE_08_DISPLAY = "Skeleton"
L.SI_DQT_NORTHERN_ELSWEYR_DEFENSE_FORCE_09_DISPLAY = "Spider"--]]

for stringId, translation in pairs(L) do
	SafeAddString(_G[stringId], translation, 0)
end